# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           mitter
Version:        0.4.5
Release:        1%{?dist}
Summary:        A maemo/GTK+ client for twitter

Group:          Applications/Internet
License:        GPLv3+
URL:            http://code.google.com/p/mitter/
Source0:        http://mitter.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         fedora-shebangs.patch
Patch1:         fedora-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       python-simplejson gnome-python2 pygobject2 dbus-python

%description

Mitter is a client for Twitter. Currently, you can use it on Linux,
Windows and OS X (running PyGTK) and on a console/terminal.

%prep
%setup -q
%patch0 -p2
%patch1 -p2

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/mitter
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{python_sitelib}/*
%doc AUTHORS COPYING THANKS

%changelog
* Sun Sep 20 2009 Lev Shamardin <shamardin@gmail.com> - 0.4.5-1
- Updated to upstream version 0.4.5.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Lev Shamardin <shamardin@gmail.com> - 0.4.3-1
- Initial package release.
